\ Umbilical Forth messages file                    J L 29/03/88

((
Copyright (c) 1988-1991
MicroProcessor Engineering
133 Hill Lane
Shirley
Southampton SO1 5AF
tel: (+44) 703 631441
fax: (+44) 703 339691
))
\ messages from host to target                     sfp 06/07/90

hex

001 Equ execute-cmnd>t          \ primitive mess
002 Equ push-cmnd>t             \
003 Equ pop-cmnd>t              \
004 Equ s>t-cmnd>t              \ stack to target
005 Equ s>h-cmnd>t              \ stack to host
006 equ @-cmnd>t                \ word fetch from target
007 equ !-cmnd>t                \ word store to target
008 equ C@-cmnd>t               \ byte fetch from target
009 equ C!-cmnd>t               \ byte store to target
00A equ L@-cmnd>t               \ long word fetch from target
00B equ L!-cmnd>t               \ long word store to target


\
\ messages from target to host
\
081 Equ key-cmnd>h               \ key command
082 Equ emit-cmnd>h              \ emit command
083 Equ push-cmnd>h              \ push command
084 Equ key?-cmnd>h              \ key? command
085 Equ .-cmnd>h                 \ . command
086 Equ s>t-cmnd>h               \ stack to target
087 Equ s>h-cmnd>h               \ stack to host

\
\ status codes
\
hex

0FF Equ OK!                     \ status codes
0FE Equ ACK!                    \
0FD Equ ERROR!                  \
0FC Equ SUFL!                   \ Data stack underflow

decimal

;p
