\ 809x/80C19x startup code for MPE Forth Cross Compiler

\ Copyright (c) 1991
\
\ MicroProcessor Engineering
\ 133 Hill Lane
\ Shirley
\ Southampton SO1 5AF
\ England

\ tel: +44 703 631441
\ fax: +44 703 339705

\ Start up table - entry points ........           sfp 04/02/89

HEX

assembler

up equ up                       \ make UP generally available

\ perform 80x96 initialisation in the approved style
L: ECLD
  di                            \ disable interrupts
  ld sp # init-s0               \ set data stack
  stb r0 013			\ reset interrupt mask IMASK1
  push r0   popf		\ clear flags and IMASK
  ld ip # cld1                  \ set IP
  ld rp # init-r0               \ set return stack
  ld up # init-u0               \ set user pointer
  next,				\ go do it
forth


\ Start up table - system addresses - will be patched later
L: CLD1	 ] Startup [		\ cold start word
  
