\ Analogue-Digital converter code

((
This example code for 80c196
(c) MicroProcessor Engineering Ltd., 1991
133 Hill Lane
Southampton
SO1 5AF

Phone: (+44) 703 631441
Fax:   (+44) 703 339691

This code released for use with MPE 80c196 Cross-compiler
This is example code only
))

\ -----End of Page-----
\ -- R.G.G -- 3/12/91 --  constants

hex

02 constant AD-command
02 constant AD-result

\ -----End of Page-----
\ -- R.G.G -- 3/12/91 --  code

hex

: AD-start		\ ch# -- ; start up the ad system
  0F and 8 or			\ set go bit (3) to 1, bits 4-7 to 0
  AD-command c!
;

decimal

: AD-read		\ channel -- result ; read given chanel
  AD-start			\ start this channel
  begin
    AD-result c@		\ read result register
    8 and			\ polls awaiting conversion complete
    0=
  until				\ finish when we have result
  AD-result @			\ get 16-bit value
  64 u/				\ divide down to 10-bit result
;

\ -----End of Page-----
\ -- R.G.G -- 3/12/91 --  test code

: test			\ -- ; test data on channel zero
  cr ." Channel 0:" cr
  begin
    0 AD-read . 		\ print the current value
    key?			\ until a key is pressed
  until
;

