\ MPE 196 macros

\ Copyright 1989-1991
\ MicroProcessor Engineering
\ 133 Hill Lane
\ Shirley
\ Southampton SO1 5AF
\ England

\ tel: (+44) 703 631441   (international)
\      0703 631441        (domestic)


\ assembler macros                                 sfp 21/12/88

only forth  also c-c  also assembler
also asm-access definitions


\ Register definitions for MPE 196 target

hex

0   constant r0         \ register 0 always returns 0
018 constant SP         \ data stack pointer
0EA constant RP         \ return stack pointer

\ PLM style register set - allows mixed language programming
0EC constant AX         0EC constant AL         0ED constant AH
0EE constant BX         0EE constant BL         0EF constant BH
0F0 constant CX         0F0 constant CL         0F1 constant CH
0F2 constant DX         0F2 constant DL         0F3 constant DH
0F4 constant IP         \ Forth Interpretive pointer
0F6 constant UP         \ user area pointer
0F8 constant TOS                \ top of data stack register
  0F8 constant tos.l            \ NB TOS is LONG aligned
  0F9 constant tos.h
0FA constant tosext             \ TOS extension


\ macros - next,                                   sfp 04/02/89

: next,         \ -- ; lay down in-line NEXT
  prefix?
  if  ld  ax ip []+   br ax []
  else  ax ip []+ ld   ax [] br
  endif  ;

: $             \ -- addr ; synonym for here
  here(t)  ;



only forth definitions

