\ Equates for 196 SFRs

\ The names are those used in the 80C196KC User's Guide,
\ Intel order number 270704-002

hex

\ 00 equ r0		\ included in MACROS.FTH

\ HWINDOW 0
02 equ ad_result
  02 equ ad_result.lo
  03 equ ad_result.hi
02 equ ad_command
03 equ hsi_mode
04 equ hsi_time
  04 equ hsi_time.lo
  05 equ hsi_time.hi
04 equ hso_time
  04 equ hso_time.lo
  05 equ hso_time.hi
06 equ hsi_status
06 equ hso_command
07 equ sbuf
08 equ int_mask
09 equ int_pend
0A equ timer1
  0A equ timer1.lo
  0B equ timer1.hi
0A equ watchdog
0B equ ioc2
0C equ timer2
  0C equ timer2.lo
  0D equ timer2.hi
0E equ port0
0E equ baudrate
0F equ port1
010 equ port2
011 equ sp_stat
011 equ sp_con
012 equ int_pend_1
013 equ int_mask_1
014 equ wsr
015 equ ios0
015 equ ioc0
016 equ ios1
016 equ ioc1
017 equ ios2
017 equ pwm0_control
\ 018 equ sp		\ defined in MACROS.FTH

\ HWINDOW 1
\ The only registers defined are those not already defined in HWINDOW0
03 equ ad_time
04 equ ptssel
  04 equ ptssel.lo
  05 equ ptssel.hi
06 equ ptssrv
  06 equ ptssrv.lo
  07 equ ptssrv.hi

0C equ t2control

016 equ pwm2_control
017 equ pwm1_control

\ HWINDOW 15
\ The only registers defined are those not already defined in HWINDOW0
\ or HWINDOW1
0C equ t2cap
  0C equ t2cap.lo
  0D equ t2cap.hi

