\ MPE 196 macros

\ Copyright 1989-1991
\ MicroProcessor Engineering
\ 133 Hill Lane
\ Shirley
\ Southampton SO1 5AF
\ England

\ tel: (+44) 703 631441   (international)
\      0703 631441        (domestic)


\ assembler macros                                 sfp 21/12/88

only forth  also c-c  also assembler
also asm-access definitions


\ Register definitions for MPE 196 target

hex

0   constant r0		\ register 0 always returns 0
018 constant SP		\ data stack pointer
01A constant RP		\ return stack pointer

\ PLM style register set - allows mixed language programming
01C constant AX		01C constant AL		01D constant AH
01E constant BX		01E constant BL		01F constant BH
020 constant CX		020 constant CL		021 constant CH
022 constant DX		022 constant DL		023 constant DH
024 constant IP		\ Forth Interpretive pointer
026 constant UP		\ user area pointer
028 constant TOS		\ top of data stack register
  028 constant tos.l		\ NB TOS is LONG aligned
  029 constant tos.h
02A constant tosext		\ TOS extension


\ macros - next,                                   sfp 04/02/89

: next,         \ -- ; lay down in-line NEXT
  prefix?
  if  ld  ax ip []+   br ax []
  else  ax ip []+ ld   ax [] br
  endif  ;

: $             \ -- addr ; synonym for here
  here(t)  ;

only forth definitions

