\ 		    MODULAR FORTH IMPORT HANDLER V1.0
\
\ Author: Rod Crawford
\
\ Written: 23/2/89
\
\ Mods: NONE
\
\ Desc: This package permits more than the standard 64 words to
\ 	be imported into modules in a Modular Forth Application.
\ 	It should be used in association with the EXPORT MANAGER.
\
\ 	All pages of this file should be compiled into a module
\ 	will import words that have been exported from a module
\ 	using the Export Managers.
\ 	The list of exported words, held in the file
\ 	IMPORTS.LST can then be loaded.

\ *************************  Import  *************************************
\
\ Args (Compiling): Index	Index into the export table.
\ 			 ; Wordname in input
\      (Running):   NONE
\
\ Rets (Compiling): NONE
\      (Running):   NONE
\


\ make DISPATCH an external reference
extern DISPATCH


: Import
    Create \ Index --
	,
    Does>
	@ Dispatch ;
