((
	REQ-DEF.FTH

	J Lee :- 3/7/90

	MicroProcessor Engineering Ltd
	133 Hill Lane
	Southampton
	SO1 5AF

	tele:	(0703) 631441
	inter:	+44 703 631441

	This file contains the code for building the REQUIRED words. See
	the file REQUIRED.FTH for more details.

))



only forth also c-c definitions
decimal

	


\ Required.Voc .. J Lee -- 3/7/90
\


Vocabulary Required.Voc


\ Name>Here .. sfp 15/08/88
\

decimal

: Name>Here	( Pfa --; $ left at here )
  body> >name				\ value to name
  dup c@ 31 and dup >r 1+		\ >Nfa and get masked
  here swap cmove			\ copy to here
  r> here c!  ;				\ count-byte = len only




\ (Required-Symbol) .. Jon 05/08/88
\


: (Required-Symbol)	( c: --  ,  r: -- seg offset )
  Create		    			\
    0 , 0 , 0 ,   			\ Flag, Value (double).
  Does>		    			\
    dup @	    		    	\ Symbol defined ?
    If					\
      cell+ 2@ 		    		\   Yes, just fetch it.
    Else		    		\
      dup on	 	    		\ Flag symbol as defined
      dup name>here	 		\ copy name to here
      cs> here $symbol			\ create symbol
      cell+ >r voc-seg@ last'(s)@	\
      2dup r> 2!			\ Get symbol address,
    Endif  ;				\  stash as value,
					\  & leave a copy.

\ (Required-Label) .. Jon 09/08/88
\

: (Required-Label)	( c: --  ,  r: -- seg offset )
  Create 				\
    0 , 0 , 0 ,				\ Flag, Value.
  Does>					\
    dup @				\ Symbol defined ?
    If					\
      cell+ 2@				\   Yes, just fetch it.
    Else				\
      dup on				\ Flag symbol as defined
      dup name>here			\ copy name to here
      Current(s) 2@(p)			\
      'Labels(s) 2@(g)			\
      set-definitions(s)		\
      curr-page@ >r			\ preserve curr-page
      0 curr-page!			\ force LABELS page
      cs> here $symbol			\ create symbol
      rot cell+ >r			\ preserve label addr
      voc-seg@ last'(s)@ 2dup r> 2!	\ Get symbol address,
      2swap set-definitions(s)		\
      r> curr-page!			\ restore curr-page
    Endif ;				\  stash as value,

\ (Required-Equ) .. Jon 09/08/88
\

: (Required-Equ)	( c: --  ,  r: -- seg offset )
  Create					\
    0 , 0 , 0 ,					\ Flag, Value.
  Does>						\
    dup @					\ Symbol defined ?
    If						\
      cell+ 2@					\   Yes, just fetch it.
    Else					\
      dup on					\ Flag symbol as defined
      dup name>here				\ copy name to here
      Current(s) 2@(p)				\
      'Equates(s) 2@(g)				\
      set-definitions(s)			\
      curr-page@ >r  0 curr-page!		\
      cs> here $symbol				\ create symbol
      rot cell+ >r				\ preserve equate address
      voc-seg@ last'(s)@ 2dup r> 2!		\ Get symbol address,
      2swap set-definitions(s)			\
      r> curr-page!				\
    Endif  ;					\  stash as value,

\ (Required-Def-Word) .. Jon 08/08/88
\

: (Required-Def-Word)	( c: --  ,  r: -- seg offset )
  Create				\
    0 , 0 , 0 ,				\ Flag, Value.
  Does>					\
    dup @				\ Symbol defined ?
    If					\ Yes,
      cell+ 2@				\   just fetch it.
    Else				\ No,
      dup on				\ Flag symbol as defined
      dup name>here			\ copy name to here
      cs> here $def-word		\ create symbol
      cell+ >r voc-seg@ last'(s)@	\
      2dup r> 2! 			\ Get symbol address,
    Endif				\  stash as value,
;					\  & leave a copy.

\ (Required-Voc) .. Jon 08/08/88
\

: (Required-Voc)	( c: --  ,  r: -- seg offset )
  Create				\
    0 , 0 , 0 ,				\ Flag, Value.
  Does>					\
    dup @				\ Symbol defined ?
    If					\
      cell+ 2@				\   Yes, just fetch it.
    Else				\
      dup on				\ Flag symbol as defined
      dup name>here			\ copy name to here
      2 cs> here $make-voc		\ create symbol
      cell+ >r voc-seg@ last'(s)@	\
      2dup r> 2!			\ Get symbol address,
    Endif ;				\  stash as value,
					\  & leave a copy.

\ (Required-C/V) .. Jon 08/08/88
\

: (Required-C/V)	( c: --  ,  r: -- seg offset )
  Create				\
    0 , 0 , 0 , 			\ Flag, Value.
  Does>					\
    dup @				\ Symbol defined ?
    If					\
      cell+ 2@				\   Yes, just fetch it.
    Else				\
      dup on				\ Flag symbol as defined
      dup name>here			\ copy name to here
      2 cs> here $make-c/v		\ create symbol
      cell+ >r voc-seg@ last'(s)@	\
      2dup r> 2!			\ Get symbol address,
    Endif ;				\  stash as value,
					\  & leave a copy.
\ In-Required.voc Restore-voc .. Jon 08/08/88
\

: In-Required.voc	( -- n1 n2 )
  Current @ Context @
  Required.voc definitions  ;


: Restore-voc	( n1 n2 -- )
  Context ! Current !  ;

\ Required-Symbol Required-Def-Word .. Jon 08/08/88
\


: Required-Symbol	( -- )
  in-required.voc
  (required-symbol)
  restore-voc  ;


: Required-Def-Word	( -- )
  in-required.voc
  (required-def-word)
  restore-voc  ;

\ Required-Label Required-Equ .. Jon 09/08/88
\

: Required-Label	( -- )
  in-required.voc
  (required-label)
  restore-voc  ;


: Required-Equ	( -- )
  in-required.voc
  (required-equ)
  restore-voc  ;

\ Required-C/V Required-Voc .. Jon 08/08/88
\

: Required-C/V	( -- )
  in-required.voc
  (required-c/v)
  restore-voc  ;


: Required-Voc	( -- )
  in-required.voc
  (required-voc)
  restore-voc  ;

\ Some words for testing 'Required' .. Jon 30/01/89
\


\ : >Req	( -- )
\	also Required.voc definitions  ;      \ switch to Required.voc


\ : Req>	( -- )
\	previous definitions  ;               \ back to previous vocs


\ : Rwords	( -- )
\	>req words req>  ;                    \ words in Required.Voc

\ Target ( used in same way as old ) .. sfp 15/08/88
\

: Target	( -- <name> )
  bl word dup count upper		\ input name
  ['] Required.Voc v-find 0=		\ only look in Req. Voc
  If					\
    here $. ."  is undefined" abort	\ don't exist
  Endif					\
  state @				\ Compiling ?
  If    ,				\ Yes, compile word
  Else  execute				\ No,  execute word
  Endif					\
; IMMEDIATE           

: Init-target	\ -- ;
  ['] required.voc >#threads @ 0	\ go through all threads
  Do  					\
    ['] required.voc >threads i 2* + @	\   start at first link
    Begin				\
      dup				\   at end of thread?
    While				\ No,
      dup name> execute	2drop		\   initialise it
      n>link @				\   goto next word
    Repeat				\ Yes,
    Drop				\   discard last link
  Loop					\
;

\  The use of TARGET is the same as previously
\    e.g.   TARGET CONSTANT 2 CELL+ COMPILE-REF
\ The-Label The-Equate .. Jon 05/08/88
\


: The-Label	( -- )
	[compile] target  ;  IMMEDIATE


: The-Equate	( -- )
	[compile] target  ;  IMMEDIATE

\  The use of The-Label and The-Equate replace, for example:
\
\    [+LABEL] DODOES [PREVIOUS] with THE-LABEL DODOES

