\ Paging test for 196 power board

: Page@		\ -- page-id ; returns current page-id
  Port1 c@				\ value of port1
  8 /					\ shift EPROM expand bits down
  7 and					\ mask high bits
;

: Page!		\ page-id -- ; switches in page
  Port1 c@ 7 and 			\ keep in expanded with same ram
  swap 8 * or Port1 c!			\ 
;

: Page-word	\ cfa page-id -- ; switch to page given by id
  cr ." Switching to page: " dup u.	\ display message
  Page@ >r				\ keep page to return to
  Page!					\ switch to new page
  execute				\
  cr ." Switching back to: " r@ u. 	\ display message
  r> Page!				\ switch back to previous page
;

\ Page switching for interactive system

4 Equ Page-voc				\ Offset into page header

: Paging	\ page-id -- ; switch to page and link vocabulary
  Page!					\ switch in page
  Page-start page-voc + @ execute	\
;
