\ 64180 ROM tools for MPE/Nautilus Cross Compiler v3.4 DTC

((
pto
Released for use with the MPE/Nautilus Cross Compiler by:

MicroProcessor Engineering
133 Hill Lane
Shirley
Southampton SO1 5AF
England

tel: (+44) 703 631441   (international)
     0703 631441        (domestic)
))

\ >link link>

\
\ it is unlikely that these words will be needed
\

: >LINK         >name n>link  ;

: LINK>         4 + name>  ;

\ .byte .word .ascii
HEX

: .BYTE         0 <# # # #> TYPE  ;             \ n --

: .WORD         0 <# # # # # #> TYPE  ;         \ n --

: .ASCII        07F AND  DUP 020 07E WITHIN? 0= \ b --
                  IF  DROP 02E  ENDIF  EMIT  ;

\ dump                                             sfp 18/04/87

: dump                                  \ addr len --
  BASE @ -rot  HEX  bounds              \ get limits
  DO  CR  i .WORD  i 010 bounds         \ print address
      do  space  i c@ .BYTE  loop       \ print byte
      2 SPACES  I 010 bounds            \ gap
      DO  I c@ .ASCII  LOOP             \ ascii o/p
      key? ?LEAVE                       \ quit or halt
  010 +LOOP                             \ until done
  BASE !  CR  ;                         \ restore base

\ .s ?

: .S    CR
        DEPTH ?DUP
        IF  ."  top"  0
            DO  I PICK CR 6 U.R  LOOP
        ELSE  ." Empty stack"
        ENDIF
        CR  ;

: ?     @ .  ;

( assign to-do ............................. )

( -- cfa )
: ASSIGN        STATE @ IF [COMPILE] ['] ELSE ' ENDIF  ;
                                        IMMEDIATE

internal
( cfa -- ; stores cfa in body of word compiled after [to-do] )
: (TO-DO)       R> DUP 2+ >R  @ >BODY @ !  ;
external

( cfa -- ; compiling -- )
: TO-DO         STATE @
                IF  COMPILE (TO-DO)  ELSE  ' >BODY @ !  ENDIF ;
                                        IMMEDIATE

\ Trim ............................................Jon 20/02/89
decimal
internal
: Trim                          \ nfa-to-forget voc-cfa --
  dup >threads swap >#threads @ 2*    \
  bounds                              \ bound the threads
  Do  ORIGIN - i @                    \ fetch top link
      begin                           \
        2dup dup If ORIGIN - Endif u> 0= \ while nfa < link
       while  n>link @                \  try next one
      repeat                          \
      i ! ORIGIN +                    \ update thread entry
  2 +Loop                             \ step to next thread
  drop  ;                             \ release nfa
external

\ (forget) ........................................Jon 20/02/89
internal
decimal

: (forget)      \ nfa -- ; forgets back to given nfa
  >r  r@ ORIGIN - FENCE @ ORIGIN - U<  21 ?ERROR  VOC-LINK @
  BEGIN  ORIGIN - R@ ORIGIN - OVER U<
   WHILE  ORIGIN + >voc-link @ only forth definitions
  REPEAT
  ORIGIN + dup voc-link ! \ voc-link -- ; pointer to top voc
  BEGIN  r@ over                        \ -- v-l nfa v-l
         trim                           \ -- v-l ; cut links
         >voc-link @ ?dup 0=            \ check end of chain
  UNTIL
  r> n>link dp !  ;     \ reset DP
external
\ $forget forget .............................................
decimal

: $FORGET       \ $addr -- ; forgets word name in given string
  current @  v-find 0= 0 ?error
  >name (forget)  ;

: FORGET   ( -- ; name to forget follows in input stream )
  bl word  dup count upper  $forget  ;

\ seal vocs .............................          Jon 22/08/88
                                      \
also root definitions                 \
: Vocs                                \ --
  Voc-Link                            \
  Begin                               \
    @ ?dup                            \
   While                              \
    dup >name .name                   \
    >voc-link                         \
  Repeat                              \
;                                     \
\ order                                            Jon 22/08/88

: .Voc
  @ ?dup
  If
    >name .name space
  Endif
;

: Order
  cr ." Context: "  Context Vsize bounds
  Do  i .voc  2 +Loop
  cr ." Current: " Current .voc cr
;
previous definitions

\ .hex 2.hex                                       Jon 22/08/88
\ only necessary if the target is in a very bad way indeed
\ and even . will not work!!!
\
hex  
: .hex          \ n -- ; print n in hex
  4 0
  do  dup 0C 0 do 2/ loop               \ top 4 bits to bottom
      0F and  dup 9 >                   \ mask, check 0..9,A..F
      if  7 +  endif                    \  was A..F
      030 + (emit)                      \ convert to ASCII
      2* 2* 2* 2*                       \ get next 4 bits
  loop                                  \
  drop  ;                               \ drop n
: 2.hex
  cr 2dup  .hex space .hex  ;
